Subject: Re: [Mingw-users] error to make python with -mno-cygwin: times.h?
From: Earnie Boyd <[email-masked]>
To: Mitsuo Igarashi <[email-masked]>, [email-masked]
Cc: cygwin users <[email-masked]>
Date: Fri, 15 Sep 2000 04:45:21 -0700 (PDT)

--- Mitsuo Igarashi <[email-masked]> wrote:
> I am a newbie to Mingw32 and Cygwin.
> I am using cygwin1.1.4
> I have been trying to configure and to make Python1.6 by cygwin with
> "-mno-cygwin".
> I am not sure to post this mail here.
> 

You're right, -mno-cygwin for the Cygwin product is not the same as the Native
Win32 GCC compiler/binutils set of tools known as MinGW.  I'm cross-posting to
put this discussion in the correct list.

> I had an error message: "make[1]: *** [posixmodule.o] Error 1".
> It came out at the following point;
> 

What was the syntax of your configure command?  If you didn't configure with
the -mno-cygwin switch then you configured for Cygwin.  You would then have to
add the -mno-cygwin switch to CFLAGS by modifying the Makefile.  I think your
results will be unpredictable and undefined.

You could try:
  CC='gcc -mno-cygwin' configure
  make CFLAGS='-O2 -ggdb -mno-cygwin'
but, I don't know what the results will be.

> gcc  -g -O2 -mno-cygwin -H -I./../Include -I.. -DHAVE_CONFIG_H -c
> ./posixmodule.c
> ../Include/Python.h ../Include/patchlevel.h../config.h
> .......................................
> /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/times.h
> .......................................
> In file included from ./posixmodule.c:174:
> /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/times.h:11:
> conflicting types for `clock_t'
> /usr/include/mingw32/time.h:68: previous declaration of `clock_t'
> ./posixmodule.c: In function `posix_ttyname':
> ./posixmodule.c:637: warning: assignment makes pointer from integer without
> a cast
> ./posixmodule.c: In function `posix_ctermid':
> ./posixmodule.c:655: `L_ctermid' undeclared (first use in this function)
> ./posixmodule.c:655: (Each undeclared identifier is reported only once
> ./posixmodule.c:655: for each function it appears in.)
> ./posixmodule.c:663: warning: assignment makes pointer from integer without
> a cast
> ./posixmodule.c: In function `posix_chown':
> ./posixmodule.c:750: `chown' undeclared (first use in this function)
> ./posixmodule.c: In function `posix_link':
> ./posixmodule.c:789: `link' undeclared (first use in this function)
> ./posixmodule.c: In function `posix_mkdir':
> ./posixmodule.c:1063: too many arguments to function `mkdir'
> ./posixmodule.c: In function `posix_getgroups':
> ./posixmodule.c:1788: `gid_t' undeclared (first use in this function)
> ./posixmodule.c:1788: parse error before `grouplist'
> ./posixmodule.c:1791: `grouplist' undeclared (first use in this function)
> ./posixmodule.c: In function `posix_getlogin':
> ./posixmodule.c:1890: warning: initialization makes pointer from integer
> without a cast
> make[1]: *** [posixmodule.o] Error 1
> make[1]: Leaving directory `/usr/local/src/python-1.6/Modules'
> make: *** [Modules] Error 2
> 
> This may come from the probelm of POSIX and times.h.
> How can I manage this problem?
> 
> Thanks
> ----------=========---------
> Mitsuo Igarashi
> [email-masked]
> 

Cheers,

=====
--- <http://earniesystems.safeshopper.com> ---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://gw32.freeyellow.com/>
           __Minimalist GNU for Windows__
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Yahoo! Mail - Free email you can access from anywhere!
http://mail.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]